import http from '@/http/http.js'

/**
 * 登录
 */
export const login = (data) => {
	return http.request({
		url: '/Login/registerCode',
		method: 'POST',
		params: data
	})
}

/**
 * 发送验证码
 */
export const setSendMsg = (mobile,type) => {
	return http.request({
		url: '/Login/sendMsg/' + mobile + '/'+type
	})
}

/**
 * 注册
 */
export const registerCode = (params) => {
	return http.request({
		url: '/Login/registerCode',
		params: params
	})
}

/**
 * 修改密码
 */
export const forgetPwd = (data) => {
	return http.request({
		url: '/Login/forgetPwd',
		method: 'POST',
		params: data
	})
}

/**
 * 绑定
 */
export const bind = (data) => {
	return http.request({
		url: '/Login/registerCode',
		method: 'POST',
		params: data
	})
}